classification
Title: Allow equality comparison between naive and aware datetime objects
Type: enhancement Stage: resolved
Components: Extension Modules, Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: belopolsky Nosy List: belopolsky, haypo, pitrou, python-dev
Priority: normal Keywords:

Created on 2012-06-05 19:29 by belopolsky, last changed 2012-06-16 00:22 by belopolsky. This issue is now closed.

Files
File name Uploaded Description Edit
issue15006.diff belopolsky, 2012-06-05 21:36 review
issue15006a.diff belopolsky, 2012-06-16 00:05
Messages (5)
msg162368 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2012-06-05 19:29
Guido: Let's make it so. / python-dev
msg162431 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2012-06-06 23:32
Hum, can you please explain your change? If it is explained on python-dev, can you add a link to the email?

You should documentation the behaviour change in the documentation of the datetime module.

You chose Python 3.4, do you mean that such change is too late for Python 3.3?
msg162441 - (view) Author: Alexander Belopolsky (Alexander.Belopolsky) Date: 2012-06-07 01:20
On Wed, Jun 6, 2012 at 7:32 PM, STINNER Victor <report@bugs.python.org> wrote:
> Hum, can you please explain your change? If it is explained on python-dev, can you add a link to the email?

Please see http://mail.python.org/pipermail/python-dev/2012-June/119933.html

I don't know what to add to the title the issue.  I'll see what needs
to be done in terms of documentation and will propose a NEWS entry.
msg162943 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2012-06-16 00:05
Added documentation and simplified changes to python implementation.  I think this can go to 3.3.
msg162945 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-16 00:20
New changeset 8272699973cb by Alexander Belopolsky in branch 'default':
Issue #15006: Allow equality comparison between naive and aware time
http://hg.python.org/cpython/rev/8272699973cb
History
Date User Action Args
2012-06-16 00:22:21belopolskysetstatus: open -> closed
2012-06-16 00:21:49belopolskysetkeywords: - patch, needs review
nosy: - Alexander.Belopolsky

resolution: fixed
stage: commit review -> resolved
2012-06-16 00:20:23python-devsetnosy: + python-dev
messages: + msg162945
2012-06-16 00:05:41belopolskysetfiles: + issue15006a.diff

messages: + msg162943
versions: + Python 3.3, - Python 3.4
2012-06-07 01:20:31Alexander.Belopolskysetnosy: + Alexander.Belopolsky
messages: + msg162441
2012-06-06 23:32:33hayposetnosy: + haypo
messages: + msg162431
2012-06-05 21:38:54belopolskysetkeywords: + needs review
nosy: + pitrou

stage: commit review
2012-06-05 21:36:51belopolskysetfiles: + issue15006.diff
keywords: + patch
2012-06-05 19:30:15belopolskysetassignee: belopolsky
2012-06-05 19:29:49belopolskycreate